# $Revision: 1.21 $, $Date: 2006/11/26 14:11:37 $
%include	/usr/lib/rpm/macros.php
%define		_class		Mail
%define		_subclass	IMAP
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

%define		_rc RC2
%define		_rel 3
Summary:	%{_pearname} - a c-client webmail backend
Summary(pl):	%{_pearname} - backend webmaila oparty o bibliotek c-client
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{_rc}.%{_rel}
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{_rc}.tgz
# Source0-md5:	5ed47847db2ff6e5ff733f2bd2147bef
URL:		http://pear.php.net/package/Mail_IMAP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(imap)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Net/URL.*)'

%description
Mail_IMAP provides a simplifed backend for working with the c-client
(IMAP) extension. It serves as an OO wrapper for commonly used
c-client functions. It provides structure and header parsing as well
as body retrieval.

In PEAR status of this package is: %{_status}.

%description -l pl
Mail_IMAP dostarcza uproszczonego backendu do pracy z rozszerzeniem
IMAP. Dziaa jako zorientowany obiektowo wrapper na czsto uywane
funkcje biblioteki c-client. Przetwarza struktury oraz nagwki jak
rwnie umoliwia odbir treci wiadomoci.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Mail_IMAP.spec,v $
Revision 1.21  2006/11/26 14:11:37  glen
- rel 3: use php(extension) virtuals

Revision 1.20  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2005/10/06 17:55:55  glen
- up to 1.1.0 RC2

Revision 1.16  2005/10/05 20:27:08  glen
- rel .1

Revision 1.15  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.14  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.13  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.12  2004/04/17 15:42:37  adamg
- updated to 1.0.0RC3

Revision 1.11  2004/04/14 10:09:48  adamg
- updated to 1.0.0RC2

Revision 1.10  2004/04/08 19:27:50  adamg
- updated to 1.0.0RC1

Revision 1.9  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.8  2004/03/13 13:17:01  adamg
- updated to 0.3.0A

Revision 1.7  2004/03/02 09:18:06  adamg
- correct url

Revision 1.6  2004/03/02 08:49:56  adamg
- updated to 0.2.0A

Revision 1.5  2004/03/01 18:37:05  adamg
- Looks like this pear class was repackaged without dumping version

Revision 1.4  2004/02/28 16:01:16  adamg
- updated to 0.1.7A

Revision 1.3  2004/02/24 14:43:36  qboosh
- finished pl

Revision 1.2  2004/02/24 14:30:03  adamg
- License fixed

Revision 1.1  2004/02/24 12:56:21  adamg
- initial import
